Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class MIME

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Entity
          org.esupportail.portal.channels.CIntranet.beans.MIME

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

public class MIME
extends Entity

MIME
Classe définissant le comportement d'un type MIME
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.2 $
Author:
  Mathieu Larchet

Constructor Summary
`MIME()` Constructeur

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare deux types MIME suivant leur extension Override Entity.compareTo() method
`boolean` | `equals(java.lang.Object o)` Teste l'égalité de deux types MIME Implements Entity abstract class
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class org.esupportail.portal.channels.CIntranet.beans.Entity
`getId, getName, setId, setName`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIME

    public MIME()

  Constructeur

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Teste l'égalité de deux types MIME Implements Entity abstract class

  Specified by:
    `equals` in class `Entity`
  Parameters:
    `o` - Objet à tester

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux types MIME suivant leur extension Override Entity.compareTo() method

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `Entity`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Specified by:
    `toXMLString` in class `Entity`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD